rem -- Soletude's Update Scripts | CC0 | https://go.soletude.ca/supper --

setlocal

set PROGRAMID=Stagsi
set PROGRAMTITLE=Stagsi
set PROGRAMDESC=Stagsi - Soletude's Tagging System Interface
set FILEEXT=sqlite

echo %SUP_CL% | find "/fresh"
if not errorlevel 1 set FRESH=1

rem Leftover from fresh install. Can't be deleted until it's fully finished,
rem else cmd will exit with an error and SupStub will show "installation failed".
rem So we're deleting these files on next update. See the comment in SupStub.bat.
if "%FRESH%" == "" del /f Supper.exe SupStub.bat

if exist "%~dp0extra.bat" call "%~dp0extra.bat"
if %errorlevel% neq 0 exit /b

exit /b 0
